Subject: Re: [PATCH v2 0/3] e1000e,igb,ixgbe: add registers etc. printout code just before resetting adapters

From: Taku Izumi <[email-masked]>
Date: Tue, 26 Jan 2010 19:21:09 +0900

Hi Jesse,

(2010/01/23 6:54), Brandeburg, Jesse wrote:
> Taku, thanks for these, we are talking the patches over and reviewing
> them.  While I agree with the idea of these patches is good, I still don't
> agree with the default being enabled.  Usually if someone is getting tx
> hangs they are repeatable and we can work with them to get the debug
> turned on.  I DO think it is useful to have the feature available by
> default but NOT enabled.
> 
> If we wanted to enable something by default it might be useful to print
> something that actually draws some conclusions from known failure modes,
> like if TDH!=TDT after some amount of time.  I think one or two lines
> maximum for default printing.
> 
> If you're working in this area I had an idea.  I had wanted to be able to
> print the large amount of ring information (especially in the ixgbe case
> with many rings) to the ftrace buffers in order to not overrun the syslog
> daemon.  Not sure if you're interested in more new features, it certainly
> is separate but related to this patch.

I thought similar things, that is, all information should be dumped to
the private ring buffer to avoid filling syslog up with driver messages.
But I didn't have any good idea to extract information from ring buffers,
so as the first step, I decided to printout it by using printk().
Is there the easy way to extract it from ring buffers?

Best regards,
Taku Izumi